Subject: bug#4217: 23.1; probable mode-line bug

From: Glenn Morris <[email-masked]>
Date: Tue, 25 Aug 2009 13:08:23 -0400

Eli Barzilay wrote:

> I thought that having them at the front makes more sense -- due to the
> following "-%-".

I assumed the actual problem you wanted to report was that in:

emacs -Q -f which-func-mode --eval '(setq global-mode-string "foo")' lisp/startup.el

there are 4 "-" characters between which-func's '[...]' and the
global-mode-string.

Since mode-line-modes already ends in "--", moving the dashes to the
front of which-func will just shift the 4 "-" around rather than
reducing them to 2.

Although the "--" at the end of the global-mode-string entry are not
necessary (being followed by -%-), I think it makes sense to have all
the entries be the same, so that entries can be removed/added/reordered
easily.